Jivox API Documentation
v1.0
GenAI & Template Generation
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Ad Build
Copy Markdown
Open in ChatGPT
Open in Claude
Overview
Jivox Programmable Personalization API supports dynamic ad creation. Our omni channel capability ensures ad formats across multiple channels are supported: Video, Rich Media, Native, Social, and Mobile.
| Method Name | Method Type | Description |
|---|---|---|
| Create Ad | POST | Creates an Ad under a particular account. |
| Create Ad Unit | POST | Creates an Ad unit under a particular account. |
| Get Ad Preview Links | GET | Returns a preview link for a given ad. |
| List Ads | GET | Returns a list of ads under a particular account. |
| Delete Ad | DELETE | Deletes a particular Ad from a particular account. |
| Get Ad Details | GET | Returns Details of an Ad from a particular account. |
Create Ad
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform |
Sample Request
Javascript
POST http://demo.stub.api.jivox.com/v2/accounts/1234/ads/Request Body
Javascript
{ "title": "string", "dynamic": true, "description": "string", "adUnits": [ { "adUnitTypeId": 0, "dimension": "string", "backgroundColor": "string", "paramString": {} } ], "isDraft": true, "tags": [ "string" ], "playerParams": {}, "thumbnailURL": "string"}Sample Response
Javascript
{ "adId": 0, "adUnitIds": [ 0 ]}Get Ad Preview Links
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| adId | string | Mandatory | path | ID of the ad. |
Sample Request
Javascript
GET http://demo.stub.api.jivox.com/v2/accounts/1234/ads/10102/preview/?adUnitId=4556Sample Response
Javascript
{"preview":"http://demo.stub.api.jivox.com/v2/accounts/1234/ads/10102/preview/creative-variant?adId=10102&bUnitId=4556&unitType=inbanner&assetOverrideParams=Y3JlYXRpdmVNYXN0ZXI9UG9sbGVu"}List Ads
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
Sample Request
Javascript
GET http://demo.stub.api.jivox.com/v2/accounts/1234/adsSample Response
Javascript
x
{ "ads": [ { "title": "Adobe EDGE and CC", "adId": 17620, "dynamic": true }, { "title": "Image and text", "adId": 17642, "dynamic": true }, ... ],"previous": "", "next": "" }Delete Ad
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| adId | string | Mandatory | path | ID of the ad. |
Sample Request
Javascript
GET http://demo.stub.api.jivox.com/v2/accounts/1234/ads/7398/Sample Response
HTTP status code as 200 OK with no response body is returned.
Get Ad Details
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | Path | ID of the advertiser account created on the platform. |
| adId | string | Mandatory | Path | ID of the ad Sample Request. |
Sample Request
Javascript
GET http://demo.stub.api.jivox.com/v2/accounts/1234/ads/10102Sample Response
Javascript
{ "adType": "Video", "description": "Sample ad", "previous": 0, "draft": true, "adParams": "autoPlay=false&hoverToPlay=true", "adLayout": [ { "layoutDimension": "810x550", "adUnitId": "4556", "adUnitType": "inbanner" } ], "next": 0, "creationDate": "2002-05-01 14:41:36", "creativeMasters": [ { "name": "Pollen", "assets": [ { "childAssets": [ { "assetType": "Image", "assetId": "asset101.bg_trusted_care", "assetName": "bg_trusted_care", "default": "http://jivoxassets.s3.amazonaws.com/widgets/2017/8/a11z5987cace3adca/1/Kleenex_Flu_300x250/Kleenex_Flu_300x250.html", "dynamic": true }, . . . } ], "title": "Kleenex Demo", "adId": "10102", "dynamic": true}Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
Last updated on
Was this page helpful?
Next to read:
Campaign SetupDiscard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message